Bug 211995 - RFE: please add QA whiteboard to
RFE: please add QA whiteboard to
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
devel
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Bernd Groh
David Lawrence
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-24 09:54 EDT by James Laska
Modified: 2014-06-18 04:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-04 15:10:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2006-10-24 09:54:10 EDT
Description of problem:

QE typically uses hyperlinks that provide the form data to assist the team in
filing consistent bugs.  For example:
https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%20Beta&version=5.0.0

I would like to be able to set the qa_whiteboard using the above method.  The
problem is that the qa_whiteboard field is not presented in the enter_bug.cgi
template.  This field is accessible after one has filed the bug through the
show_bug.cgi.

I would like to use a url like the following to prefill out the qa_whiteboard field:

https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%20Beta&version=5.0.0&qa_whiteboard=RHEL5-Server-20061020.1

The only change needed is to add the qa_whiteboard <form> element to the
enter_bug.cgi
Comment 1 David Lawrence 2006-10-24 14:20:12 EDT
Fixed. Thanks.
Comment 2 James Laska 2006-12-04 14:37:06 EST
Appears to be partially working.  The QA whiteboard field is now visible on the
bug page.  However, I cannot set the value of that field using the url.  

For example:

https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%20Beta&qa_whiteboard=RHEL5-Server-20061201.0

SHould take me to a bug page where the "QA Whiteboard" field is set to
RHEL5-Server-20061201.0
Comment 3 David Lawrence 2006-12-04 15:10:38 EST
Really fixed. Thanks.

Note You need to log in before you can comment on or make changes to this bug.